Name:       nodejs-fast-list
Version:    1.0.2
Release:    3%{?dist}
Summary:    A fast linked list
License:    MIT
Group:      Development/Libraries
URL:        https://github.com/isaacs/fast-list
Source0:    http://registry.npmjs.org/fast-list/-/fast-list-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
A fast linked list. (good for queues, stacks, etc.)

%prep
%setup -q -n package

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/fast-list
cp -pr fast-list.js package.json %{buildroot}%{nodejs_sitelib}/fast-list

%nodejs_symlink_deps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/fast-list
%doc README.md

%changelog
* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-3
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-2
- guard Requires for F17 automatic depedency generation

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-1
- initial package
